## Fields

Fields

## Synopsis

    #include <libtracker-common/tracker-field.h>

                        TrackerField;
    TrackerField *      tracker_field_new                   (void);
    void                tracker_field_append_child_id       (TrackerField *field,
                                                             const gchar *id);
    const GSList *      tracker_field_get_child_ids         (TrackerField *field);
    TrackerFieldType    tracker_field_get_data_type         (TrackerField *field);
    gboolean            tracker_field_get_delimited         (TrackerField *field);
    gboolean            tracker_field_get_embedded          (TrackerField *field);
    const gchar *       tracker_field_get_field_name        (TrackerField *field);
    gboolean            tracker_field_get_filtered          (TrackerField *field);
    const gchar *       tracker_field_get_id                (TrackerField *field);
    gboolean            tracker_field_get_multiple_values   (TrackerField *field);
    const gchar *       tracker_field_get_name              (TrackerField *field);
    gboolean            tracker_field_get_store_metadata    (TrackerField *field);
    gint                tracker_field_get_weight            (TrackerField *service);
    void                tracker_field_set_child_ids         (TrackerField *field,
                                                             const GSList *value);
    void                tracker_field_set_data_type         (TrackerField *field,
                                                             TrackerFieldType value);
    void                tracker_field_set_delimited         (TrackerField *field,
                                                             gboolean value);
    void                tracker_field_set_embedded          (TrackerField *field,
                                                             gboolean value);
    void                tracker_field_set_field_name        (TrackerField *field,
                                                             const gchar *value);
    void                tracker_field_set_filtered          (TrackerField *field,
                                                             gboolean value);
    void                tracker_field_set_id                (TrackerField *field,
                                                             const gchar *value);
    void                tracker_field_set_multiple_values   (TrackerField *field,
                                                             gboolean value);
    void                tracker_field_set_name              (TrackerField *field,
                                                             const gchar *value);
    void                tracker_field_set_store_metadata    (TrackerField *field,
                                                             gboolean value);
    void                tracker_field_set_weight            (TrackerField *field,
                                                             gint value);
    const gchar *       tracker_field_type_to_string        (TrackerFieldType fieldtype);

## Object Hierarchy

      GObject
       +----TrackerField

## Properties

      "child-ids"                gpointer              : Read / Write
      "data-type"                TrackerFieldType      : Read / Write
      "delimited"                gboolean              : Read / Write
      "embedded"                 gboolean              : Read / Write
      "field-name"               gchar*                : Read / Write
      "filtered"                 gboolean              : Read / Write
      "id"                       gchar*                : Read / Write
      "multiple-values"          gboolean              : Read / Write
      "name"                     gchar*                : Read / Write
      "store-metadata"           gboolean              : Read / Write
      "weight"                   gint                  : Read / Write

## Description

## Details

### TrackerField

    typedef struct _TrackerField TrackerField;

### tracker_field_new ()

    TrackerField *      tracker_field_new                   (void);

Creates a new TrackerField instance.

Returns : | The newly created TrackerField

### tracker_field_append_child_id ()

    void                tracker_field_append_child_id       (TrackerField *field,
                                                             const gchar *id);

`field` : |
`id` : |

### tracker_field_get_child_ids ()

    const GSList *      tracker_field_get_child_ids         (TrackerField *field);

`field` : |
Returns : |

### tracker_field_get_data_type ()

    TrackerFieldType    tracker_field_get_data_type         (TrackerField *field);

`field` : |
Returns : |

### tracker_field_get_delimited ()

    gboolean            tracker_field_get_delimited         (TrackerField *field);

`field` : |
Returns : |

### tracker_field_get_embedded ()

    gboolean            tracker_field_get_embedded          (TrackerField *field);

`field` : |
Returns : |

### tracker_field_get_field_name ()

    const gchar *       tracker_field_get_field_name        (TrackerField *field);

`field` : |
Returns : |

### tracker_field_get_filtered ()

    gboolean            tracker_field_get_filtered          (TrackerField *field);

`field` : |
Returns : |

### tracker_field_get_id ()

    const gchar *       tracker_field_get_id                (TrackerField *field);

`field` : |
Returns : |

### tracker_field_get_multiple_values ()

    gboolean            tracker_field_get_multiple_values   (TrackerField *field);

`field` : |
Returns : |

### tracker_field_get_name ()

    const gchar *       tracker_field_get_name              (TrackerField *field);

`field` : |
Returns : |

### tracker_field_get_store_metadata ()

    gboolean            tracker_field_get_store_metadata    (TrackerField *field);

`field` : |
Returns : |

### tracker_field_get_weight ()

    gint                tracker_field_get_weight            (TrackerField *service);

`service` : |
Returns : |

### tracker_field_set_child_ids ()

    void                tracker_field_set_child_ids         (TrackerField *field,
                                                             const GSList *value);

`field` : |
`value` : |

### tracker_field_set_data_type ()

    void                tracker_field_set_data_type         (TrackerField *field,
                                                             TrackerFieldType value);

`field` : |
`value` : |

### tracker_field_set_delimited ()

    void                tracker_field_set_delimited         (TrackerField *field,
                                                             gboolean value);

`field` : |
`value` : |

### tracker_field_set_embedded ()

    void                tracker_field_set_embedded          (TrackerField *field,
                                                             gboolean value);

`field` : |
`value` : |

### tracker_field_set_field_name ()

    void                tracker_field_set_field_name        (TrackerField *field,
                                                             const gchar *value);

`field` : |
`value` : |

### tracker_field_set_filtered ()

    void                tracker_field_set_filtered          (TrackerField *field,
                                                             gboolean value);

`field` : |
`value` : |

### tracker_field_set_id ()

    void                tracker_field_set_id                (TrackerField *field,
                                                             const gchar *value);

`field` : |
`value` : |

### tracker_field_set_multiple_values ()

    void                tracker_field_set_multiple_values   (TrackerField *field,
                                                             gboolean value);

`field` : |
`value` : |

### tracker_field_set_name ()

    void                tracker_field_set_name              (TrackerField *field,
                                                             const gchar *value);

`field` : |
`value` : |

### tracker_field_set_store_metadata ()

    void                tracker_field_set_store_metadata    (TrackerField *field,
                                                             gboolean value);

`field` : |
`value` : |

### tracker_field_set_weight ()

    void                tracker_field_set_weight            (TrackerField *field,
                                                             gint value);

`field` : |
`value` : |

### tracker_field_type_to_string ()

    const gchar *       tracker_field_type_to_string        (TrackerFieldType fieldtype);

`fieldtype` : |
Returns : |

## Property Details

### The `"child-ids"` property

      "child-ids"                gpointer              : Read / Write

Child ids.

### The `"data-type"` property

      "data-type"                TrackerFieldType      : Read / Write

Field data type.

Default value: TRACKER_FIELD_TYPE_INDEX

### The `"delimited"` property

      "delimited"                gboolean              : Read / Write

Delimited.

Default value: FALSE

### The `"embedded"` property

      "embedded"                 gboolean              : Read / Write

Embedded.

Default value: TRUE

### The `"field-name"` property

      "field-name"               gchar*                : Read / Write

Column in services table with the contents of this metadata.

Default value: NULL

### The `"filtered"` property

      "filtered"                 gboolean              : Read / Write

Filtered.

Default value: FALSE

### The `"id"` property

      "id"                       gchar*                : Read / Write

Unique identifier for this field.

Default value: NULL

### The `"multiple-values"` property

      "multiple-values"          gboolean              : Read / Write

Multiple values.

Default value: TRUE

### The `"name"` property

      "name"                     gchar*                : Read / Write

Field name.

Default value: NULL

### The `"store-metadata"` property

      "store-metadata"           gboolean              : Read / Write

Store metadata.

Default value: FALSE

### The `"weight"` property

      "weight"                   gint                  : Read / Write

Boost to the score.

Allowed values: >= 0

Default value: 0